CREATE PROCEDURE [REG_GetOperatorCredential]
	@ApiConsumerId	INT,
	@OperatorName	VARCHAR(50),
	@OperatorPassword	VARCHAR(100) OUTPUT
AS
	DECLARE @OperatorId INT
	
	SELECT @OperatorId=OperatorId, @OperatorPassword=OperatorPassword
	FROM BO_Operators with(nolock) 
	WHERE ApiConsumerId = @ApiConsumerId AND OperatorName = @OperatorName

	IF @OperatorId IS NOT NULL
	 EXEC REG_GetOperators @OperatorId

RETURN 0
